<?xml version="1.0" standalone="no"?> <!--*- mode: xml -*-->
<!DOCTYPE glade-interface SYSTEM "http://glade.gnome.org/glade-2.0.dtd">

<glade-interface>

<widget class="GtkDialog" id="apl_win">
  <property name="border_width">3</property>
  <property name="visible">True</property>
  <property name="title" translatable="yes">Generate Playlist</property>
  <property name="type">GTK_WINDOW_TOPLEVEL</property>
  <property name="window_position">GTK_WIN_POS_NONE</property>
  <property name="modal">False</property>
  <property name="default_width">500</property>
  <property name="resizable">True</property>
  <property name="destroy_with_parent">False</property>
  <property name="decorated">True</property>
  <property name="skip_taskbar_hint">False</property>
  <property name="skip_pager_hint">False</property>
  <property name="type_hint">GDK_WINDOW_TYPE_HINT_DIALOG</property>
  <property name="gravity">GDK_GRAVITY_NORTH_WEST</property>
  <property name="focus_on_map">True</property>
  <property name="urgency_hint">False</property>
  <property name="has_separator">True</property>
  <signal name="close" handler="on_apl_win_close" last_modification_time="Sat, 05 Nov 2005 17:36:52 GMT"/>
  <signal name="response" handler="on_apl_win_response" last_modification_time="Sat, 05 Nov 2005 17:41:10 GMT"/>

  <child internal-child="vbox">
    <widget class="GtkVBox" id="dialog-vbox1">
      <property name="visible">True</property>
      <property name="homogeneous">False</property>
      <property name="spacing">0</property>

      <child internal-child="action_area">
	<widget class="GtkHButtonBox" id="dialog-action_area1">
	  <property name="visible">True</property>
	  <property name="layout_style">GTK_BUTTONBOX_END</property>

	  <child>
	    <widget class="GtkButton" id="cancelbutton1">
	      <property name="visible">True</property>
	      <property name="can_default">True</property>
	      <property name="can_focus">True</property>
	      <property name="label">gtk-cancel</property>
	      <property name="use_stock">True</property>
	      <property name="relief">GTK_RELIEF_NORMAL</property>
	      <property name="focus_on_click">True</property>
	      <property name="response_id">-6</property>
	    </widget>
	  </child>

	  <child>
	    <widget class="GtkButton" id="okbutton1">
	      <property name="visible">True</property>
	      <property name="sensitive">False</property>
	      <property name="can_default">True</property>
	      <property name="can_focus">True</property>
	      <property name="label">gtk-ok</property>
	      <property name="use_stock">True</property>
	      <property name="relief">GTK_RELIEF_NORMAL</property>
	      <property name="focus_on_click">True</property>
	      <property name="response_id">-5</property>
	    </widget>
	  </child>
	</widget>
	<packing>
	  <property name="padding">0</property>
	  <property name="expand">False</property>
	  <property name="fill">True</property>
	  <property name="pack_type">GTK_PACK_END</property>
	</packing>
      </child>

      <child>
	<widget class="GtkVBox" id="vbox1">
	  <property name="border_width">9</property>
	  <property name="visible">True</property>
	  <property name="homogeneous">False</property>
	  <property name="spacing">6</property>

	  <child>
	    <widget class="GtkLabel" id="label1">
	      <property name="visible">True</property>
	      <property name="can_focus">True</property>
	      <property name="label" translatable="yes">Add a series of rules that are used to create a playlist.</property>
	      <property name="use_underline">False</property>
	      <property name="use_markup">False</property>
	      <property name="justify">GTK_JUSTIFY_LEFT</property>
	      <property name="wrap">True</property>
	      <property name="selectable">True</property>
	      <property name="xalign">0</property>
	      <property name="yalign">0.5</property>
	      <property name="xpad">0</property>
	      <property name="ypad">0</property>
	      <property name="ellipsize">PANGO_ELLIPSIZE_NONE</property>
	      <property name="width_chars">-1</property>
	      <property name="single_line_mode">False</property>
	      <property name="angle">0</property>
	    </widget>
	    <packing>
	      <property name="padding">0</property>
	      <property name="expand">False</property>
	      <property name="fill">False</property>
	    </packing>
	  </child>

	  <child>
	    <widget class="GtkHBox" id="hbox1">
	      <property name="visible">True</property>
	      <property name="homogeneous">False</property>
	      <property name="spacing">6</property>

	      <child>
		<widget class="GtkScrolledWindow" id="scrolledwindow1">
		  <property name="visible">True</property>
		  <property name="can_focus">True</property>
		  <property name="hscrollbar_policy">GTK_POLICY_AUTOMATIC</property>
		  <property name="vscrollbar_policy">GTK_POLICY_AUTOMATIC</property>
		  <property name="shadow_type">GTK_SHADOW_IN</property>
		  <property name="window_placement">GTK_CORNER_TOP_LEFT</property>

		  <child>
		    <widget class="GtkTreeView" id="apl_tree">
		      <property name="visible">True</property>
		      <property name="can_focus">True</property>
		      <property name="headers_visible">False</property>
		      <property name="rules_hint">True</property>
		      <property name="reorderable">False</property>
		      <property name="enable_search">False</property>
		      <property name="fixed_height_mode">False</property>
		      <property name="hover_selection">False</property>
		      <property name="hover_expand">False</property>
		    </widget>
		  </child>
		</widget>
		<packing>
		  <property name="padding">0</property>
		  <property name="expand">True</property>
		  <property name="fill">True</property>
		</packing>
	      </child>

	      <child>
		<widget class="GtkVButtonBox" id="vbuttonbox1">
		  <property name="visible">True</property>
		  <property name="layout_style">GTK_BUTTONBOX_START</property>
		  <property name="spacing">6</property>

		  <child>
		    <widget class="GtkButton" id="button1">
		      <property name="visible">True</property>
		      <property name="can_default">True</property>
		      <property name="can_focus">True</property>
		      <property name="label">gtk-add</property>
		      <property name="use_stock">True</property>
		      <property name="relief">GTK_RELIEF_NORMAL</property>
		      <property name="focus_on_click">True</property>
		      <signal name="clicked" handler="on_apl_add_clicked" last_modification_time="Sat, 05 Nov 2005 22:00:48 GMT"/>
		    </widget>
		  </child>

		  <child>
		    <widget class="GtkButton" id="button2">
		      <property name="visible">True</property>
		      <property name="can_default">True</property>
		      <property name="can_focus">True</property>
		      <property name="label">gtk-remove</property>
		      <property name="use_stock">True</property>
		      <property name="relief">GTK_RELIEF_NORMAL</property>
		      <property name="focus_on_click">True</property>
		      <signal name="clicked" handler="on_apl_remove_clicked" last_modification_time="Sat, 05 Nov 2005 22:10:45 GMT"/>
		    </widget>
		  </child>

		  <child>
		    <widget class="GtkButton" id="button3">
		      <property name="visible">True</property>
		      <property name="can_default">True</property>
		      <property name="can_focus">True</property>
		      <property name="relief">GTK_RELIEF_NORMAL</property>
		      <property name="focus_on_click">True</property>
		      <signal name="clicked" handler="apl_search" last_modification_time="Sun, 11 Jun 2006 14:47:16 GMT"/>

		      <child>
			<widget class="GtkAlignment" id="alignment1">
			  <property name="visible">True</property>
			  <property name="xalign">0.5</property>
			  <property name="yalign">0.5</property>
			  <property name="xscale">0</property>
			  <property name="yscale">0</property>
			  <property name="top_padding">0</property>
			  <property name="bottom_padding">0</property>
			  <property name="left_padding">0</property>
			  <property name="right_padding">0</property>

			  <child>
			    <widget class="GtkHBox" id="hbox2">
			      <property name="visible">True</property>
			      <property name="homogeneous">False</property>
			      <property name="spacing">2</property>

			      <child>
				<widget class="GtkImage" id="image1">
				  <property name="visible">True</property>
				  <property name="stock">gtk-execute</property>
				  <property name="icon_size">4</property>
				  <property name="xalign">0.5</property>
				  <property name="yalign">0.5</property>
				  <property name="xpad">0</property>
				  <property name="ypad">0</property>
				</widget>
				<packing>
				  <property name="padding">0</property>
				  <property name="expand">False</property>
				  <property name="fill">False</property>
				</packing>
			      </child>

			      <child>
				<widget class="GtkLabel" id="label3">
				  <property name="visible">True</property>
				  <property name="label" translatable="yes">R_un</property>
				  <property name="use_underline">True</property>
				  <property name="use_markup">False</property>
				  <property name="justify">GTK_JUSTIFY_LEFT</property>
				  <property name="wrap">False</property>
				  <property name="selectable">False</property>
				  <property name="xalign">0.5</property>
				  <property name="yalign">0.5</property>
				  <property name="xpad">0</property>
				  <property name="ypad">0</property>
				  <property name="ellipsize">PANGO_ELLIPSIZE_NONE</property>
				  <property name="width_chars">-1</property>
				  <property name="single_line_mode">False</property>
				  <property name="angle">0</property>
				</widget>
				<packing>
				  <property name="padding">0</property>
				  <property name="expand">False</property>
				  <property name="fill">False</property>
				</packing>
			      </child>
			    </widget>
			  </child>
			</widget>
		      </child>
		    </widget>
		  </child>
		</widget>
		<packing>
		  <property name="padding">0</property>
		  <property name="expand">False</property>
		  <property name="fill">True</property>
		</packing>
	      </child>
	    </widget>
	    <packing>
	      <property name="padding">0</property>
	      <property name="expand">False</property>
	      <property name="fill">True</property>
	    </packing>
	  </child>

	  <child>
	    <widget class="GtkCheckButton" id="ck_append_playlist">
	      <property name="visible">True</property>
	      <property name="can_focus">True</property>
	      <property name="label" translatable="yes">_Append to playlist</property>
	      <property name="use_underline">True</property>
	      <property name="relief">GTK_RELIEF_NORMAL</property>
	      <property name="focus_on_click">True</property>
	      <property name="active">False</property>
	      <property name="inconsistent">False</property>
	      <property name="draw_indicator">True</property>
	    </widget>
	    <packing>
	      <property name="padding">0</property>
	      <property name="expand">False</property>
	      <property name="fill">False</property>
	    </packing>
	  </child>

	  <child>
	    <widget class="GtkCheckButton" id="ck_any_item">
	      <property name="visible">True</property>
	      <property name="can_focus">True</property>
	      <property name="label" translatable="yes">Add if any _criteria are matched</property>
	      <property name="use_underline">True</property>
	      <property name="relief">GTK_RELIEF_NORMAL</property>
	      <property name="focus_on_click">True</property>
	      <property name="active">False</property>
	      <property name="inconsistent">False</property>
	      <property name="draw_indicator">True</property>
	    </widget>
	    <packing>
	      <property name="padding">0</property>
	      <property name="expand">False</property>
	      <property name="fill">False</property>
	    </packing>
	  </child>

	  <child>
	    <widget class="GtkLabel" id="label2">
	      <property name="visible">True</property>
	      <property name="label" translatable="yes">&lt;b&gt;Results:&lt;/b&gt;</property>
	      <property name="use_underline">False</property>
	      <property name="use_markup">True</property>
	      <property name="justify">GTK_JUSTIFY_LEFT</property>
	      <property name="wrap">False</property>
	      <property name="selectable">False</property>
	      <property name="xalign">0</property>
	      <property name="yalign">0.5</property>
	      <property name="xpad">0</property>
	      <property name="ypad">0</property>
	      <property name="ellipsize">PANGO_ELLIPSIZE_NONE</property>
	      <property name="width_chars">-1</property>
	      <property name="single_line_mode">False</property>
	      <property name="angle">0</property>
	    </widget>
	    <packing>
	      <property name="padding">0</property>
	      <property name="expand">False</property>
	      <property name="fill">False</property>
	    </packing>
	  </child>

	  <child>
	    <widget class="GtkScrolledWindow" id="result_sw">
	      <property name="visible">True</property>
	      <property name="can_focus">True</property>
	      <property name="hscrollbar_policy">GTK_POLICY_ALWAYS</property>
	      <property name="vscrollbar_policy">GTK_POLICY_ALWAYS</property>
	      <property name="shadow_type">GTK_SHADOW_IN</property>
	      <property name="window_placement">GTK_CORNER_TOP_LEFT</property>

	      <child>
		<widget class="GtkTreeView" id="result_tree">
		  <property name="visible">True</property>
		  <property name="can_focus">True</property>
		  <property name="headers_visible">True</property>
		  <property name="rules_hint">True</property>
		  <property name="reorderable">False</property>
		  <property name="enable_search">True</property>
		  <property name="fixed_height_mode">False</property>
		  <property name="hover_selection">False</property>
		  <property name="hover_expand">False</property>
		</widget>
	      </child>
	    </widget>
	    <packing>
	      <property name="padding">0</property>
	      <property name="expand">True</property>
	      <property name="fill">True</property>
	    </packing>
	  </child>
	</widget>
	<packing>
	  <property name="padding">0</property>
	  <property name="expand">True</property>
	  <property name="fill">True</property>
	</packing>
      </child>
    </widget>
  </child>
</widget>

</glade-interface>
